Cyberduck Mountain Duck CLI

#9103 closed feature (duplicate)

Interoperability with Sharepoint on Office 365

Reported by: frequentbeef Owned by: dkocher
Priority: normal Milestone: 6.9.0
Component: webdav Version: 4.7.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.11

Description (last modified by dkocher)

When I try to connect to my company's Sharepoint hosted on Office 365, I get "403 FORBIDDEN". I had the IT manager check settings and try to fiddle with a few things as well, but nothing changed that error.

Searching online, it seems like there may be some terminal commands to show hidden options to get Sharepoint on Office 365 to work (since it's IWA), but it's not entirely clear.

I asked on Twitter whether Cyberduck is supposed to support Sharepoint like this and was told yes, and when I followed up with this issue, I was asked to submit a support ticket with the log drawer, which is below:

HEAD / HTTP/1.1
Host: gencon.sharepoint.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.7.3.18402 (Mac OS X/10.11.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Basic ZGVyZWsuZ3VkZXJAZ2VuY29uLmNvbTpTdW1tZXIyMDE1
HTTP/1.1 403 FORBIDDEN
Content-Length: 13
Content-Type: text/plain; charset=utf-8
Server: Microsoft-IIS/8.5
X-SharePointHealthScore: 0
SPRequestGuid: 54af3e9d-d03b-2000-09e6-f7ec7ac089b7
request-id: 54af3e9d-d03b-2000-09e6-f7ec7ac089b7
X-Forms_Based_Auth_Required: https://gencon.sharepoint.com/_forms/default.aspx?ReturnUrl=/_layouts/15/error.aspx&Source=/
X-Forms_Based_Auth_Return_Url: https://gencon.sharepoint.com/_layouts/15/error.aspx
X-MSDAVEXT_Error: 917656; Access+denied.+Before+opening+files+in+this+location%2c+you+must+first+browse+to+the+web+site+and+select+the+option+to+login+automatically.
X-IDCRL_AUTH_PARAMS_V1: IDCRL Type="BPOSIDCRL", EndPoint="/_vti_bin/idcrl.svc/", RootDomain="sharepoint.com", Policy="MBI"
X-Powered-By: ASP.NET
MicrosoftSharePointTeamServices: 16.0.0.4608
X-Content-Type-Options: nosniff
X-MS-InvokeApp: 1; RequireReadOnly
P3P: CP="ALL IND DSP COR ADM CONo CUR CUSo IVAo IVDo PSA PSD TAI TELo OUR SAMo CNT COM INT NAV ONL PHY PRE PUR UNI"
Date: Thu, 05 Nov 2015 17:53:44 GMT
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: gencon.sharepoint.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.7.3.18402 (Mac OS X/10.11.1) (x86_64)
Accept-Encoding: gzip,deflate
Authorization: Basic ZGVyZWsuZ3VkZXJAZ2VuY29uLmNvbTpTdW1tZXIyMDE1
HTTP/1.1 403 FORBIDDEN
Content-Type: text/plain; charset=utf-8
Server: Microsoft-IIS/8.5
X-SharePointHealthScore: 0
SPRequestGuid: 54af3e9d-604d-2000-09e6-f830f60d162b
request-id: 54af3e9d-604d-2000-09e6-f830f60d162b
X-Forms_Based_Auth_Required: https://gencon.sharepoint.com/_forms/default.aspx?ReturnUrl=/_layouts/15/error.aspx&Source=/
X-Forms_Based_Auth_Return_Url: https://gencon.sharepoint.com/_layouts/15/error.aspx
X-MSDAVEXT_Error: 917656; Access+denied.+Before+opening+files+in+this+location%2c+you+must+first+browse+to+the+web+site+and+select+the+option+to+login+automatically.
X-IDCRL_AUTH_PARAMS_V1: IDCRL Type="BPOSIDCRL", EndPoint="/_vti_bin/idcrl.svc/", RootDomain="sharepoint.com", Policy="MBI"
X-Powered-By: ASP.NET
MicrosoftSharePointTeamServices: 16.0.0.4608
X-Content-Type-Options: nosniff
X-MS-InvokeApp: 1; RequireReadOnly
P3P: CP="ALL IND DSP COR ADM CONo CUR CUSo IVAo IVDo PSA PSD TAI TELo OUR SAMo CNT COM INT NAV ONL PHY PRE PUR UNI"
Date: Thu, 05 Nov 2015 17:53:44 GMT
Content-Length: 13

Change History (15)

comment:1 Changed on Nov 6, 2015 at 12:44:28 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Nov 6, 2015 at 12:44:42 PM by dkocher

  • Summary changed from Unable to connect to Sharepoint on Office 365 to Interoperability with Sharepoint on Office 365

comment:3 Changed on Nov 20, 2015 at 12:45:51 PM by dkocher

Looks like a proprietary authentication model that we cannot currently support.

comment:4 Changed on Nov 20, 2015 at 5:56:03 PM by frequentbeef

I coulda told you that it was non-standard, certainly :)

You might want to let your social media team know, they had informed me that it should work.

I'd also like to lodge a feature request for this support. From what I understand there is a way to work with it now. I'm not sure about the details, but a couple other programs I've been experimenting with said that they were currently working on adding the feature in a future update.

comment:5 Changed on Jan 5, 2016 at 1:57:51 PM by dkocher

#6131 closed as duplicate.

comment:6 Changed on Jan 6, 2016 at 8:10:09 AM by yla

Unless you have setup Active Directory Federation Services (ADFS), Sharepoint Online exclusively needs Claims-Based Authentication based on WS-Federation which Cyberduck currently does not support. With ADFS configured you can authenticate through NTLM which Cyberduck supports. There is currently no Java library supporting Claims-Based Authentication against Sharepoint Online. A few resources that could help to implement it in Java:

Last edited on Jan 6, 2016 at 8:36:43 AM by dkocher (previous) (diff)

comment:7 Changed on Jan 6, 2016 at 11:16:59 AM by dkocher

  • Milestone set to 5.0
  • Type changed from defect to enhancement

comment:8 Changed on May 20, 2016 at 1:28:59 PM by dkocher

  • Milestone 5.0 deleted

comment:10 Changed on Jan 13, 2017 at 2:08:06 PM by dkocher

  • Type changed from enhancement to feature

comment:11 Changed on Feb 14, 2017 at 12:57:59 PM by dkocher

  • Milestone set to 6.0
  • Status changed from new to assigned

We will provide support by integrating support for OneDrive.

The OneDrive API is available for OneDrive, OneDrive for Business, SharePoint, and SharePoint Server 2016.

comment:12 Changed on Feb 14, 2017 at 12:58:55 PM by dkocher

See also #9799.

comment:13 Changed on Feb 20, 2017 at 6:51:13 PM by dkocher

  • Milestone changed from 6.0 to 7.0
  • Resolution set to duplicate
  • Status changed from assigned to closed

Will be resolved with #9799.

comment:14 Changed on Jun 6, 2017 at 8:42:21 AM by dkocher

  • Milestone changed from 7.0 to 6.0

comment:15 Changed on Dec 8, 2018 at 9:59:15 PM by dkocher

  • Milestone changed from 6.0 to 6.9.0

See also #10115.

Note: See TracTickets for help on using tickets.
swiss made software